%define name	sdb
%define version	0.5.1
%define release	5mdk
%define major	0
%define libname %mklibname %{name} %{major}

Summary:	Simple database library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-postgres.patch.bz2
URL:		http://siag.nu/libsdb/
License:	GPL
Group:		System/Libraries
BuildRequires:	libgdbm2-devel
BuildRequires:	libmysql12-devel
BuildRequires:	libpq3-devel
BuildRequires:	libunixODBC2-devel
BuildRequires:	openssl-devel
BuildRequires:	postgresql-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	libtool
Requires:	libgdbm2
Requires:	libmysql12
Requires:	libpq3
Requires:	libunixODBC2
Requires:	libopenssl0.9.7
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is libsdb, the simple database library, which provides a way 
to support multiple database management systems in an application 
with negligeable overhead, in terms of code as well as system 
resources. It is mainly intended for use on Unix, but the ODBC 
driver works on Windows as well. 

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains libraries necessary for %{name}.

%package -n	%{libname}-devel
Summary:	Development header files and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libsdb-devel
Obsoletes:	libsdb-devel

%description -n	%{libname}-devel
This package contains the development header files and libraries
for %{name}.

%package -n	%{libname}-static-devel
Summary:	Static libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n	%{libname}-static-devel
This package contains the Static libraries for %{name}

%prep

%setup -q
%patch0 -p0 -b .postgres

%build
#export CFLAGS="%{optflags} -fPIC"
#export CXXFLAGS="%{optflags} -fPIC"

export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal; autoconf; automake --add-missing

%configure2_5x \
    --with-gdbm \
    --with-mysql \
    --with-postgres \
    --with-odbc

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# remove invalid manpages
rm -f %{buildroot}%{_mandir}/man3/sdb_*

# fix wierdness on 9.0...
perl -p -i -e "s|/usr/local|%{_prefix}|g" %{buildroot}%{_libdir}/lib%{name}.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n	%{name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.text
%{_bindir}/sdb_client
%{_bindir}/sdbd
%{_bindir}/sdbd_client
%{_mandir}/man3/sdb.3*
%{_mandir}/man8/sdbd.8*

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.0*

%files -n	%{libname}-devel
%defattr(-,root,root)
%{_bindir}/sdb-config
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so
%{_includedir}/*.h

%files -n	%{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.a

%changelog
* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-5mdk
- rebuild

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-4mdk
- make it provide
- use the %%configure2_5x macro

* Sat May 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-3mdk
- fix wierdness on 9.0...

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-2mdk
- fix typo in requires (duh!)

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-1mdk
- initial cooker contrib
